/** @category Icons */
import activity from './svgs/activity.svg';
import add from './svgs/add.svg';
import arrowDown from './svgs/arrow-down.svg';
import arrowLeft from './svgs/arrow-left.svg';
import arrowRight from './svgs/arrow-right.svg';
import arrowUp from './svgs/arrow-up.svg';
import baby from './svgs/baby.svg';
import calendarHeatMap from './svgs/calendar--heat-map.svg';
import calendar from './svgs/calendar.svg';
import caretDown from './svgs/caret-down.svg';
import caretLeft from './svgs/caret-left.svg';
import caretRight from './svgs/caret-right.svg';
import caretUp from './svgs/caret-up.svg';
import chartAverage from './svgs/chart-average.svg';
import checkmarkFilled from './svgs/checkmark--filled.svg';
import checkmarkOutline from './svgs/checkmark--outline.svg';
import chemistry from './svgs/chemistry.svg';
import chevronDown from './svgs/chevron-down.svg';
import chevronLeft from './svgs/chevron-left.svg';
import chevronRight from './svgs/chevron-right.svg';
import chevronUp from './svgs/chevron-up.svg';
import close from './svgs/close.svg';
import closeFilled from './svgs/close--filled.svg';
import closeOutline from './svgs/close--outline.svg';
import document from './svgs/document.svg';
import documentAttachment from './svgs/document-attachment.svg';
import drugOrder from './svgs/drug-order.svg';
import download from './svgs/download.svg';
import edit from './svgs/edit.svg';
import eventSchedule from './svgs/event-schedule.svg';
import events from './svgs/events.svg';
import genderFemale from './svgs/gender-female.svg';
import genderMale from './svgs/gender-male.svg';
import genderOther from './svgs/gender-other.svg';
import genderUnknown from './svgs/gender-unknown.svg';
import genericOrderType from './svgs/generic-order-type.svg';
import group from './svgs/group.svg';
import groupAccess from './svgs/group-access.svg';
import hospitalBed from './svgs/hospital-bed.svg';
import imageMedical from './svgs/image-medical.svg';
import information from './svgs/information.svg';
import informationFilled from './svgs/information--filled.svg';
import informationSquare from './svgs/information--square.svg';
import inventoryManagement from './svgs/inventory-management.svg';
import labOrder from './svgs/lab-order.svg';
import listChecked from './svgs/list-checked.svg';
import location from './svgs/location.svg';
import materialOrder from './svgs/material-order.svg';
import maximize from './svgs/maximize.svg';
import medication from './svgs/medication.svg';
import messageQueue from './svgs/message-queue.svg';
import microscope from './svgs/microscope.svg';
import money from './svgs/money.svg';
import mother from './svgs/mother.svg';
import movement from './svgs/movement.svg';
import overflowMenuHorizonal from './svgs/overflow-menu--horizontal.svg';
import overflowMenuVertical from './svgs/overflow-menu--vertical.svg';
import password from './svgs/password.svg';
import pedestrianFamily from './svgs/pedestrian-family.svg';
import pen from './svgs/pen.svg';
import procedureOrder from './svgs/procedure-order.svg';
import printer from './svgs/printer.svg';
import programs from './svgs/programs.svg';
import renew from './svgs/renew.svg';
import referralOrder from './svgs/referral-order.svg';
import report from './svgs/report.svg';
import reset from './svgs/reset.svg';
import save from './svgs/save.svg';
import search from './svgs/search.svg';
import shoppingCart from './svgs/shopping-cart.svg';
import shoppingCartArrowDown from './svgs/shopping-cart--arrow-down.svg';
import stickyNoteAdd from './svgs/sticky-note-add.svg';
import switcher from './svgs/switcher.svg';
import syringe from './svgs/syringe.svg';
import tableOfContents from './svgs/table-of-contents.svg';
import table from './svgs/table.svg';
import time from './svgs/time.svg';
import tools from './svgs/tools.svg';
import translate from './svgs/translate.svg';
import trashCan from './svgs/trash-can.svg';
import treeViewAlt from './svgs/tree-view--alt.svg';
import userAvatar from './svgs/user-avatar.svg';
import userFollow from './svgs/user-follow.svg';
import userXray from './svgs/user-xray.svg';
import user from './svgs/user.svg';
import viewOff from './svgs/view-off.svg';
import view from './svgs/view.svg';
import warning from './svgs/warning.svg';
import { addSvg } from '../svg-utils';

export function setupIcons() {
  addSvg('omrs-icon-activity', activity);
  addSvg('omrs-icon-add', add);
  addSvg('omrs-icon-arrow-down', arrowDown);
  addSvg('omrs-icon-arrow-left', arrowLeft);
  addSvg('omrs-icon-arrow-right', arrowRight);
  addSvg('omrs-icon-arrow-up', arrowUp);
  addSvg('omrs-icon-baby', baby);
  addSvg('omrs-icon-calendar-heat-map', calendarHeatMap);
  addSvg('omrs-icon-calendar', calendar);
  addSvg('omrs-icon-caret-down', caretDown);
  addSvg('omrs-icon-caret-left', caretLeft);
  addSvg('omrs-icon-caret-right', caretRight);
  addSvg('omrs-icon-caret-up', caretUp);
  addSvg('omrs-icon-chart-average', chartAverage);
  addSvg('omrs-icon-checkmark-filled', checkmarkFilled);
  addSvg('omrs-icon-checkmark-outline', checkmarkOutline);
  addSvg('omrs-icon-chemistry', chemistry);
  addSvg('omrs-icon-chevron-down', chevronDown);
  addSvg('omrs-icon-chevron-left', chevronLeft);
  addSvg('omrs-icon-chevron-right', chevronRight);
  addSvg('omrs-icon-chevron-up', chevronUp);
  addSvg('omrs-icon-close', close);
  addSvg('omrs-icon-close-filled', closeFilled);
  addSvg('omrs-icon-close-outline', closeOutline);
  addSvg('omrs-icon-document', document);
  addSvg('omrs-icon-document-attachment', documentAttachment);
  addSvg('omrs-icon-download', download);
  addSvg('omrs-icon-drug-order', drugOrder);
  addSvg('omrs-icon-edit', edit);
  addSvg('omrs-icon-event-schedule', eventSchedule);
  addSvg('omrs-icon-events', events);
  addSvg('omrs-icon-gender-female', genderFemale);
  addSvg('omrs-icon-gender-male', genderMale);
  addSvg('omrs-icon-gender-other', genderOther);
  addSvg('omrs-icon-gender-unknown', genderUnknown);
  addSvg('omrs-icon-generic-order-type', genericOrderType);
  addSvg('omrs-icon-group', group);
  addSvg('omrs-icon-group-access', groupAccess);
  addSvg('omrs-icon-hospital-bed', hospitalBed);
  addSvg('omrs-icon-image-medical', imageMedical);
  addSvg('omrs-icon-information', information);
  addSvg('omrs-icon-information-filled', informationFilled);
  addSvg('omrs-icon-information-square', informationSquare);
  addSvg('omrs-icon-inventory-management', inventoryManagement);
  addSvg('omrs-icon-lab-order', labOrder);
  addSvg('omrs-icon-list-checked', listChecked);
  addSvg('omrs-icon-location', location);
  addSvg('omrs-pict-material-order', materialOrder);
  addSvg('omrs-icon-maximize', maximize);
  addSvg('omrs-icon-medication', medication);
  addSvg('omrs-icon-message-queue', messageQueue);
  addSvg('omrs-icon-microscope', microscope);
  addSvg('omrs-icon-money', money);
  addSvg('omrs-icon-mother', mother);
  addSvg('omrs-icon-movement', movement);
  addSvg('omrs-icon-overflow-menu--horizontal', overflowMenuHorizonal);
  addSvg('omrs-icon-overflow-menu--vertical', overflowMenuVertical);
  addSvg('omrs-icon-password', password);
  addSvg('omrs-icon-pedestrian-family', pedestrianFamily);
  addSvg('omrs-icon-pen', pen);
  addSvg('omrs-icon-printer', printer);
  addSvg('omrs-pict-procedure-order', procedureOrder);
  addSvg('omrs-icon-programs', programs);
  addSvg('omrs-icon-renew', renew);
  addSvg('omrs-pict-referral-order', referralOrder);
  addSvg('omrs-icon-report', report);
  addSvg('omrs-icon-reset', reset);
  addSvg('omrs-icon-search', search);
  addSvg('omrs-icon-save', save);
  addSvg('omrs-icon-shopping-cart', shoppingCart);
  addSvg('omrs-icon-shopping-cart--arrow-down', shoppingCartArrowDown);
  addSvg('omrs-icon-sticky-note-add', stickyNoteAdd);
  addSvg('omrs-icon-switcher', switcher);
  addSvg('omrs-icon-syringe', syringe);
  addSvg('omrs-icon-table-of-contents', tableOfContents);
  addSvg('omrs-icon-table', table);
  addSvg('omrs-icon-time', time);
  addSvg('omrs-icon-tools', tools);
  addSvg('omrs-icon-translate', translate);
  addSvg('omrs-icon-trash-can', trashCan);
  addSvg('omrs-icon-tree-view--alt', treeViewAlt);
  addSvg('omrs-icon-user-avatar', userAvatar);
  addSvg('omrs-icon-user-follow', userFollow);
  // userXray is also used for imaging orders
  addSvg('omrs-icon-user-xray', userXray);
  addSvg('omrs-icon-user', user);
  addSvg('omrs-icon-view-off', viewOff);
  addSvg('omrs-icon-view', view);
  addSvg('omrs-icon-warning', warning);
}
